Jack2 1.9.12

Public Attributes | List of all members
jack_driver_param_constraint_desc_t Struct Reference

## Public Attributes
uint32_t | flags
union {
struct {
jack_driver_param_value_t min
jack_driver_param_value_t max
} range
struct {
uint32_t count
jack_driver_param_value_enum_t * possible_values_array
} enumeration
} | constraint

## Detailed Description

Definition at line 97 of file driver_interface.h.

## Member Data Documentation

## ◆ flags

uint32_t jack_driver_param_constraint_desc_t::flags

JACK_CONSTRAINT_FLAG_XXX

Definition at line 98 of file driver_interface.h.

## ◆ range

struct { ... } jack_driver_param_constraint_desc_t::range

valid when JACK_CONSTRAINT_FLAG_RANGE flag is set

## ◆ enumeration

struct { ... } jack_driver_param_constraint_desc_t::enumeration

valid when JACK_CONSTRAINT_FLAG_RANGE flag is not set

The documentation for this struct was generated from the following file:

- driver_interface.h